/*
  File:    ODNotebk.h

  Contains:  Header info for CNNotebk.cpp

  Written by:  Michael Burbidge


  Change History (most recent first):
  
     <1>   11/1/94  MB    first checked in

  To Do:
*/
#ifndef _CNNOTEBKH_
#define _CNNOTEBKH_

#ifndef _ODTYPES_
#include "ODTypes.h"
#endif

#ifndef _PART_
#include "Part.xh"
#endif

#ifndef _CNTNRPRT_
#include "Cntnrprt.xih"
#endif

#ifndef _CNTNRRES_
   #include "cntnrres.h"
#endif

#define INCL_WINHELP
#define INCL_DOS
#define INCL_WINPOINTERS
#define INCL_WINFRAMEMGR   
#define INCL_WINWINDOWMGR
#define INCL_WIN
#define INCL_GPI
#define INCL_WPCLASS
#define INCL_ODFRAME
#include <os2.h>
#include <pmhelp.h>



#define WM_FOCUS_PROCESSING   WM_USER + 1


typedef struct {
        SHORT width;
        SHORT height;
} TABSIZE;
typedef TABSIZE FAR *PTABSIZE;


typedef struct _PAGE {
        PPAGEINFO ppageinfo;
        ULONG    ulPageId;
        HWND     hwndFocus;
        struct  _PAGE FAR *ppageNext;
} PAGE;
typedef PAGE FAR *PPAGE;

typedef struct {
        PFNWP   pfnwpNoteBookSubclassProc;
        HWND    hwndHelpInstance;
        PHELPTABLE phelptable;
        ULONG   ulHTsize;
        TABSIZE tabsize;
        PPAGE   ppageFirst;
        PPAGE   ppageCurrent;
        PFNWP   pfnwpPageSubclassProc;                
        PVOID thisNotebook;
        ODPart * thisPart;
} BOOKINFO; // may want to add 
typedef BOOKINFO FAR *PBOOKINFO;



#endif // _CBNOTEBKH_
